Skip to main content


Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Archived » Koneki » Update from built sources
Update from built sources [message #1416689] Tue, 09 October 2012 18:13 Go to next message
Denis Artemov is currently offline Denis ArtemovFriend
Messages: 38
Registered: September 2012
Member
I'm beginner in Eclipse and I have difficulties with updating LDT plugin for Exlipse from p2 repository which I have built from sources as described here: http://wiki.eclipse.org/Koneki/LDT/Developer_Area/Building_LDT_from_source. I didn't find any "repository/target/repository" after build process had completed. I have no idea which direcory (or jar-file) I have to add into repository list to install update. I tryed to add features\org.eclipse.koneki.ldt.product-feature\target\site\content.jar but I got error about dependencies
Re: Update from built sources [message #1416690 is a reply to message #1416689] Tue, 09 October 2012 18:17 Go to previous messageGo to next message
Eclipse UserFriend
Hey Denis,
You don't have repository/target at all?

Adding features/... should have worked, what are the dependencies that are missing? I would suspect that you are trying to update from 0.8 to "0.9 master" which needs new stuff that is not available as part of the p2 repo built in features/... (but should be in repository/...)

Benjamin
Re: Update from built sources [message #1416691 is a reply to message #1416690] Wed, 10 October 2012 04:00 Go to previous messageGo to next message
Denis Artemov is currently offline Denis ArtemovFriend
Messages: 38
Registered: September 2012
Member
Benjamin Cabe wrote on Tue, 09 October 2012 14:17
> Hey Denis,
> You don't have repository/target at all?


"repository/target" is local folders in LDT directory which apears afrer build, right? I have only "repository" root-directory with category.xml and pom.xml files in it and "target-platform" root-directory with ldt.target and pom.xml files.

Benjamin Cabe wrote on Tue, 09 October 2012 14:17
> Adding features/... should have worked, what are the dependencies that are missing? I would suspect that you are trying to update from 0.8 to "0.9 master"


I tried to update from last 0.9 and I got this message:
Quote:
> An error occurred while collecting items to be installed
> session context was:(profile=DefaultProfile, phase=org.eclipse.equinox.internal.p2.engine.phases.Collect, operand=, action=).
> No repository found containing: osgi.bundle,com.naef.jnlua,0.9.1.201210091735
> No repository found containing: osgi.bundle,com.naef.jnlua.windows,0.9.1.201210091735
> No repository found containing: osgi.bundle,org.eclipse.koneki.ldt,0.9.0.201210091735
> No repository found containing: osgi.bundle,org.eclipse.koneki.ldt.debug.core,0.9.0.201210091735
> No repository found containing: osgi.bundle,org.eclipse.koneki.ldt.debug.ui,0.9.0.201210091735
> No repository found containing: osgi.bundle,org.eclipse.koneki.ldt.doc.user,0.9.0.201210091735
> No repository found containing: osgi.bundle,org.eclipse.koneki.ldt.metalua,0.9.0.201210091735
> No repository found containing: osgi.bundle,org.eclipse.koneki.ldt.metalua.32bits,0.9.0.201210091735
> No repository found containing: osgi.bundle,org.eclipse.koneki.ldt.ui,0.9.0.201210091735
> No repository found containing: org.eclipse.update.feature,org.eclipse.koneki.ldt,0.9.0.201210091735

I was wrong before. It is no message about dependencies...
Re: Update from built sources [message #1416692 is a reply to message #1416691] Wed, 10 October 2012 09:45 Go to previous messageGo to next message
Kevin KIN-FOO is currently offline Kevin KIN-FOOFriend
Messages: 28
Registered: July 2009
Junior Member
Hi,

I think the repository you are seeking is under product/target/repository.

Regards
Re: Update from built sources [message #1416693 is a reply to message #1416692] Wed, 10 October 2012 15:28 Go to previous messageGo to next message
Denis Artemov is currently offline Denis ArtemovFriend
Messages: 38
Registered: September 2012
Member
Kevin KIN-FOO wrote on Wed, 10 October 2012 05:45
> Hi,
>
> I think the repository you are seeking is under product/target/repository.
>
> Regards

Yes. But it appeared after I execute
mvn clean package -P build-product,platform-indigo

So is it not possible to build p2 repository by command
mvn clean package
?
Re: Update from built sources [message #1416694 is a reply to message #1416693] Wed, 10 October 2012 17:01 Go to previous messageGo to next message
Kevin KIN-FOO is currently offline Kevin KIN-FOOFriend
Messages: 28
Registered: July 2009
Junior Member
Yes it is,

Check the content of features/org.eclipse.koneki.ldt.product-feature/target/site/. This repository has no category.

Regards
Re: Update from built sources [message #1416695 is a reply to message #1416694] Thu, 11 October 2012 05:51 Go to previous messageGo to next message
Denis Artemov is currently offline Denis ArtemovFriend
Messages: 38
Registered: September 2012
Member
Kevin KIN-FOO wrote on Wed, 10 October 2012 13:01
> Yes it is,
>
> Check the content of features/org.eclipse.koneki.ldt.product-feature/target/site/

This doesn't work for me. It stops with message
Quote:
> Your original request has been modified.
> "Add-on Function for p2" is already installed, so an update will be performed instead.
> "Dynamic Languages Toolkit - Core Frameworks" is already present because other installed software requires it. It will be added to the installed software list.
> "Eclipse Help System" is already installed, so an update will be performed instead.
> "Eclipse Platform" is already installed, so an update will be performed instead.
> "Eclipse RCP" is already installed, so an update will be performed instead.
> "EMF - Eclipse Modeling Framework Core Runtime" is already installed, so an update will be performed instead.
> "EMF Common" is already installed, so an update will be performed instead.
> "Equinox p2 Core Function" is already installed, so an update will be performed instead.
> "Equinox p2 Provisioning for IDEs." is already installed, so an update will be performed instead.
> "Equinox p2 RCP Management Facilities" is already installed, so an update will be performed instead.
> "Lua Development Tools (Incubation)" is already installed, so an update will be performed instead.
> "Lua Development Tools - branding (Incubation)" is already installed, so an update will be performed instead.
> Cannot complete the install because of a conflicting dependency.
> Software being installed: Eclipse e4 Rich Client Platform 1.1.0.v20120521-2329-8yFTIGIbGGduEZ6-7-jLx41nXj (org.eclipse.e4.rcp.feature.group 1.1.0.v20120521-2329-8yFTIGIbGGduEZ6-7-jLx41nXj)
> Software currently installed: Lua Development Tools Product (Incubation) 0.9.0.201210101448 (org.eclipse.koneki.ldt.product-product 0.9.0.201210101448)
> Only one of the following can be installed at once:
> Simple Configurator 1.0.200.v20110815-1438 (org.eclipse.equinox.simpleconfigurator 1.0.200.v20110815-1438)
> Simple Configurator 1.0.301.v20120828-033635 (org.eclipse.equinox.simpleconfigurator 1.0.301.v20120828-033635)
> Simple Configurator 1.0.300.v20110815-1744 (org.eclipse.equinox.simpleconfigurator 1.0.300.v20110815-1744)
> Cannot satisfy dependency:
> From: Eclipse e4 Rich Client Platform 1.1.0.v20120521-2329-8yFTIGIbGGduEZ6-7-jLx41nXj (org.eclipse.e4.rcp.feature.group 1.1.0.v20120521-2329-8yFTIGIbGGduEZ6-7-jLx41nXj)
> To: org.eclipse.equinox.simpleconfigurator [1.0.301.v20120828-033635]
> Cannot satisfy dependency:
> From: Lua Development Tools Product (Incubation) 0.9.0.201210101448 (org.eclipse.koneki.ldt.product-product 0.9.0.201210101448)
> To: org.eclipse.koneki.ldt.product.feature.group [0.9.0.201210101448]
> Cannot satisfy dependency:
> From: Lua Development Tools - branding (Incubation) 0.9.0.201210101448 (org.eclipse.koneki.ldt.product.feature.group 0.9.0.201210101448)
> To: org.eclipse.platform.feature.group [3.7.2.v20120207-1839-9gF7UHPDFxGjd-PqDr2jX_4yKaumkoHTz04_q-q]
> Cannot satisfy dependency:
> From: Eclipse Platform 3.7.2.v20120207-1839-9gF7UHPDFxGjd-PqDr2jX_4yKaumkoHTz04_q-q (org.eclipse.platform.feature.group 3.7.2.v20120207-1839-9gF7UHPDFxGjd-PqDr2jX_4yKaumkoHTz04_q-q)
> To: org.eclipse.rcp.feature.group [3.7.2.v20120120-1424-9DB5FmnFq5JCf1UA38R-kz0S0272]
> Cannot satisfy dependency:
> From: Eclipse RCP 3.7.2.v20120120-1424-9DB5FmnFq5JCf1UA38R-kz0S0272 (org.eclipse.rcp.feature.group 3.7.2.v20120120-1424-9DB5FmnFq5JCf1UA38R-kz0S0272)
> To: org.eclipse.equinox.simpleconfigurator [1.0.200.v20110815-1438]
Re: Update from built sources [message #1416698 is a reply to message #1416695] Thu, 11 October 2012 17:11 Go to previous messageGo to next message
Kevin KIN-FOO is currently offline Kevin KIN-FOOFriend
Messages: 28
Registered: July 2009
Junior Member
Hi,

I gave you the wrong path, it's features/org.eclipse.koneki.ldt-feature/target/site/.
This path can help you now, but may not in the coming releases, only the mvn clean package -P build-product will remain.

Regards
Re: Update from built sources [message #1416707 is a reply to message #1416689] Wed, 17 October 2012 20:23 Go to previous messageGo to next message
Eclipse UserFriend
Denis, have you been able to solve your problem? If you think the build instructions can be improved, feel free to update the wiki page!

Thank you!
Benjamin
Re: Update from built sources [message #1416710 is a reply to message #1416707] Thu, 18 October 2012 04:00 Go to previous message
Denis Artemov is currently offline Denis ArtemovFriend
Messages: 38
Registered: September 2012
Member
Hi,

Updating from product/target/repository works after
mvn clean package -P build-product,platform-indigo
build command
Previous Topic:Task tags
Next Topic:Cannot install on Eclipse Juno, Win 7 x64
Goto Forum:
  


Current Time: Wed Sep 19 10:53:42 GMT 2018

Powered by FUDForum. Page generated in 0.01863 seconds
.:: Contact :: Home ::.

Powered by: FUDforum 3.0.2.
Copyright ©2001-2010 FUDforum Bulletin Board Software

Back to the top